package com.cdap_2020_027.elearning.controller;

import com.cdap_2020_027.elearning.model.Post;
import com.cdap_2020_027.elearning.service.PostServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @author IT17120012 - Shaini 
 */

@RestController
@CrossOrigin
public class PostController {
    
    @Autowired
    PostServiceImpl postServiceImpl;
    
    /* get Post Details */
    @RequestMapping(value = "/post", method = RequestMethod.GET)
    public ResponseEntity<List<Post>> getAllPost() {
        try {
            List<Post> postList = postServiceImpl.getAllPost();
            return new ResponseEntity<>(postList, HttpStatus.OK);
        } catch (Exception ex) {
            System.out.println(ex);
            return new ResponseEntity<>(null, HttpStatus.INTERNAL_SERVER_ERROR);
        }
    }
}
